package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-12
 */
@ApiModel("曲目调整 排序和精品")
public class AdjustModel {

    @ApiModelProperty("id")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty(value = "精品标志(0:否;1:是)")
    private YesOrNoEnum exquisiteFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public YesOrNoEnum getExquisiteFlag() {
        return exquisiteFlag;
    }

    public void setExquisiteFlag(YesOrNoEnum exquisiteFlag) {
        this.exquisiteFlag = exquisiteFlag;
    }
}
